Subject: Summary IR/Raman

From: "Patrik Johansson" <[email-masked]>
Date: Tue, 19 May 1998 10:07:37 +0000

Dear CClers

I would like to thank for the response I got from my posting regarding IR/Raman
spectra from calculated values. I have not had time to look them up to see what
suits me best, aslthough I suspect that I was not clear that I would need a
possibility to manually edit the width of each peak to make a kind a best fit
with several experimental spectra, anyway, here is a summary of the replies
until now. I hope that it will help someone else too.

I'm especially grateful to Jens from Roskilde who sent a
simple basic program (LORENTZ) which I include in the summary ( the mail from
him is in Danish, readable for me being Swedish, but probably hard for most of
you to grasp ;-)

best regards, Patrik

//My original query :

Dear CCLers

Does anyone know of a program which can be used to construct an artificial
vibrational spectrum from a Freq calculation in G94 or similar e.g. using the
 .log file or .chk file ?

For my purpose it would be nice if overlapping bands, overtones and mixed
bandforms could be treated as well as the possibility to change the FWHH
parameter for each band individually.

Thanks for any answers and of course I will summarise the replies.

Patrik

//Dear Patrik,

I think that you may use the Gauss View to your purpouses. With this
program you can visualize all the resouts using the .log or .chk files.
I hope that this clue could be useful.

Sergio Augusto Jardino Filho
[email-masked]
Intituto de Quimica - Universidade de Sao Paulo
Brazil
hi...

//You could try inporting the freq file into a prog like hyperchem...
which would draw a vib spectrum...
Megan Govender <[email-masked]>

//Kaere Patrik,

nedenstaaende finder du listning af et lille BASIC-program "Lorentz"
der producerer et 'kunstigt spektrum' under antagelse af Lorentz
linieform.  Programmet laeser input fra en fil, der indeholder det
beregnede spektrum Xi, Yi, hvor Xi er boelgetallet (eller
tilsvarende) og Yi er intensiteten (eller tilsvarende):

512.62  7.43
517.73  1.19
719.45  170.34
 .
 .
0 0

Inputfilen skal slutte med '0 0' som vist.  Output skrives paa samme
maade i en fil, i form af punkter paa en spektralkurve bestaaende af
bidrag fra (overlappende) Lorentz-linier.  Denne fil kan laeses ind i
et grafik-program til display, editing, og udskrift af det kunstige
spektrum.  Jeg bruger ORIGIN til dette formaal.

> For my purpose it would be nice if overlapping bands, overtones and mixed
> bandforms could be treated as well as the possibility to change the FWHH
> parameter for each band individually.

Det lille program "Lorentz" er meget simpelt og antager samme HWHM
(Half-Width at Half-Maximum) for alle linier; HWHM = 1 - 3 cm-1 synes
passende for de fleste IR spektre (vaerdien inputtes fra keyboard).
Indenfor den harmoniske tilnaermelse har overtone- og
kombinationsbaand zero-intensitet og vil normalt ikke blive beregnet.

Mange hilsener, Jens >--<

10 '***************************************************************
20 '
30 '                      * LORENTZ *
40 '
50 '              Jens Spanget-Larsen, Oct. 1997
60 '
70 '***************************************************************
80 DEFINT I,J,K,L,M,N : DEFDBL A-H,O-Z
90 OPTION BASE 1
100 DIM X(200),S(200)
110 PRINT : PRINT "Program LORENTZ" : PRINT
120 LINE INPUT "Input File? ", E$
130 LINE INPUT "Output File? ", F$
140 OPEN "I",#1,E$
150 OPEN "O",#2,F$
160 PRINT "Lorentzian Lineshape:"
170 INPUT "   Half-Width at Half-Maximum (HWHM)";HWHM
180 ' PRINT#2, "Lorentzian Lineshape, HWHM ="; HWHM
190 PRINT "Output-Frequency Range:"
200 INPUT "   Minimum";XMIN
210 INPUT "   Maximum";XMAX
220 PRINT "Read Input File:"
230 N=0
240 N=N+1
250   INPUT#1, X,S
260   IF X=0 THEN 300
270   X(N)=X : S(N)=S
280   PRINT X(N);S(N)
290   GOTO 240
300 N=N-1
310 DX=HWHM/5! ' steplength determined as a fraction of HWHM
320 PRINT : PRINT "Computing";1+INT((XMAX-XMIN)/DX);"Output Points...."
330 DMAX=HWHM*100! ' this is for speed; can be changed or omitted
340 B=HWHM^2
350 XL=XMIN-DX
360 XL=XL+DX
370   IF XL>XMAX THEN 460
380   SL=0
390   FOR I=1 TO N
400     D=ABS(XL-X(I))
410     IF D>DMAX THEN 430
420     SL=SL+S(I)*B/(B + D^2)
430   NEXT I
440   PRINT#2, USING "######.####";XL,SL
450 GOTO 360
460 PRINT : PRINT "End of RUN"
470 PRINT : PRINT "To Quit: Enter 'SYSTEM'"
480 END

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
JENS SPANGET-LARSEN         Phone:  +45 4674 2000  (RUC)
Department of Chemistry             +45 4674 2710  (direct)
Roskilde University (RUC)   Fax:    +45 4674 3011
P.O.Box 260                 E-Mail: [email-masked]
DK-4000 Roskilde, Denmark   http://www.rub.ruc.dk/dis/chem/psos/
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

//I'm not quite sure but AniMol should do it. From other side it shuldn't be to
complicated to make it with any spreedshet with graphic (to complicated means
not time consuming).Krzys Radacki

//--hello patrick,

try MOLDEN. This is avery good visualizer for Gaussian output.

look at

http://www.caos.kun.nl/

go in the directory modeling. Klick on Molden (one program among others in
this directory)

hope this helps,

christoph
----

Christoph Widauer
Laboratorium f. Anorganische Chemie
ETH-Zentrum CAB B24.1-3
Universitätsstrasse 6
CH-8092 Zuerich

         end of summary

--
Dr Patrik Johansson
Inorg. Chem. Angstromlaboratory
Box 538 SE-751 21 Uppsala
Uppsala University SWEDEN
[email-masked]

-- 
Dr Patrik Johansson
Inorg. Chem. Angstromlaboratory
Box 538 SE-751 21 Uppsala
Uppsala University SWEDEN
[email-masked]